<?php
/*
 *      this file is a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org>
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */
?>
<generatorask>
    <p><?php echo __('Cette page permet de faire des recherches avancées dans la collection (<a href="http://jonas.tuxfamily.org/wiki/gcweb/documentation/generateur_de_theme#search">plus d\'explications</a>)') ?>.</p>

    <p style="color:red"><?php echo __('Attention! Le modèle "menu" doit être créé avant cette page') ?>.</p>

    <ul>
        <li><?php echo __('Champ pour les recherches de type chaine de caractère (contient le mot, est ..)') ?> :
        <ul>
        <loop str>
            <li><?php echo __('Label') ?> <txt>labelstr</txt> - <?php echo __('champ') ?> <champ>valuestr</champ></li>
        </loop>
            <li>→ <addloop str></li>
        </ul></li>

        <li><?php echo __('Champ pour les recherches de type liste (affichera une liste multichoix permetant de choisir un ou plusieurs éléments)') ?> :
        <ul>
        <loop list>
            <li><?php echo __('Label') ?> <txt>labellist</txt> - <?php echo __('champ') ?> <champ>valuelist</champ></li>
        </loop>
            <li>→ <addloop list></li>
        </ul></li>

        <li><?php echo __('Champ pour les recherches de type numérique (permet de faire des recherches dans un intervale)') ?> :
        <ul>
        <loop num>
            <li><?php echo __('Label') ?> <txt>labelnum</txt> - <?php echo __('champ') ?> <champ>valuenum</champ></li>
        </loop>
            <li>→ <addloop num></li>
        </ul></li>
    </ul>
</generatorask>

<generatorcode>
<?php
/*
 *      File generated by GCweb generator a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org>
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */


/*
 * Partie centale de la page de recherche.
 * Variable disponible : $info, $collec, $item
 */
?>

<div id="content">

    <?php include TEMPLATE_MODEL_PATH_GCWEB.'/menu_'.$collec['type'].'.php' ?>

    <div id="search">

        <div class="element">
            <div class="box">

                <h2><?php echo __('Recherche avancée') ?></h2>

                <fieldset><legend><?php echo __('Multicritères') ?></legend>

                <?php aff_search('start') ?>

                <ul>
                    <li><?php echo __('Les critères vides seront ignorés.') ?></li>
                    <li><?php printf(__('Les dates peuvent être entrée sous la forme %s, 2007 (considérer comme 1er janvier 2007), ...'),date(strtolower($conf['fomatDate']))) ?></li>
                    <li><?php echo __('Dans les listes à choix multiples pour séléctionner plusieurs éléments maintenez pressé la touche contrôle.') ?></li>
                </ul>

                <div class="searchgroup searchstring">
                  <loop str>
                    <fieldset><legend><?php echo __('%%labelstr%%') ?></legend>
                        <p><?php aff_search('%%valuestr%%','str') ?></p>
                    </fieldset>
                  </loop>
                </div>

                <div class="searchgroup searchlistmultiple">
                  <loop list>
                    <fieldset><legend><?php echo __('%%labellist%%') ?></legend>
                        <p><?php aff_search('%%valuelist%%','listmultiple') ?></p>
                    </fieldset>
                  </loop>
                </div>

                <div class="searchgroup searchbetween">
                  <loop num>
                    <fieldset><legend><?php echo __('%%labelnum%%') ?></legend>
                        <p><?php aff_search('%%valuenum%%','>='); aff_search('&amp;%%valuenum%%','<=') ?></p>
                    </fieldset>
                  </loop>
                </div>

                <div class="searchgroup searchsubmit">
                    <p><?php aff_search('submit') ?></p>
                </div>

                <?php aff_search('end') ?>
                </fieldset>

                <fieldset><legend><?php echo __('Requête') ?> :</legend>
                <p><?php echo __('Il est possible de réaliser une requête composée de plusieurs conditions afin d\'effectuer une recherche encore plus précise') ?>.</p>
                <p>
                    <?php echo __('Chercher dans') ?>
                    <select id="js_and_or">
                        <option value="|"><?php echo __('toute la base') ?></option>
                        <option value="&amp;"><?php echo __('les resultats précédents') ?></option>
                    </select>
                    :
                    <select id="js_champ">
                    <?php
                    foreach ($items[0] as $key => $value) {
                        if (is_array($value))
                            $value = "liste : ".join('; ',$value);
                        $value = convstr::motor2xml($value);
                        if (strlen($value)>50)
                            $value = substr($value,0,48).'...';
                            //$value = substr($value,0,max(48,strpos(($value),"<br />"))).'...';
                        $value = htmlspecialchars($value);
                        echo '
                        <option value="'.$key.'">'.$key.' ('.__('ex:').convert($value).')</option>';
                    }
                    ?>
                    </select>
                    <select id="js_cond">
                        <optgroup label="<?php echo __('Champs contenant du texte') ?>">
                            <option value="="><?php echo __('contient') ?></option>
                            <option value="!="><?php echo __('ne contient pas') ?></option>
                            <option value="=="><?php echo __('est (chaîne exacte)') ?></option>
                            <option value="!=="><?php echo __('n\'est pas (chaîne exacte)') ?></option>
                        </optgroup>
                        <optgroup label="<?php echo __('Champs numériques et dates') ?>">
                            <option value="==">= <?php echo __('égal') ?></option>
                            <option value="!==">&ne; <?php echo __('différent') ?></option>
                            <option value="&lt;">&lt; <?php echo __('plus petit') ?></option>
                            <option value="&lt;=">&le; <?php echo __('plus petit ou égal') ?></option>
                            <option value="&gt;">&gt; <?php echo __('plus grand') ?></option>
                            <option value="&gt;=">&ge; <?php echo __('plus grand ou égal') ?></option>
                        </optgroup>
                    </select>
                    <input id="js_value" type="text" />
                    <input type="button" value="<?php echo __('Ajouter la condition') ?>" onclick="search_addcond('request')" />
                </p>
                <?php aff_search('start') ?>
                <p><?php aff_search('request','','rows="60" cols="20" id="request"') ?></p>
                <p><?php aff_search('submit') ?></p>
                <?php aff_search('end') ?>
                </fieldset>
            </div>
        </div>
    </div>
</div>
</generatorcode>

